Account Settings
All operations require authentication, except the 9 marked Public.
List billing accountsProduction
List billing accounts. Returns the billing accounts of the customer. A billing account groups telephony services billed together.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get all zip codes compatible for a numberProductionPublic
Query parameters
The country of the city
bechdeesfrgbukThe number (can be a range terminated by XXXX)
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ directories/ availableZipCodes[ "string"]
Get city informations from a zip codeProductionPublic
Query parameters
The country of the city
bechdeesfrgbukThe zip code of the city
Response
The identifier of the city
The name of the city
The zip code of the city
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ directories/ cities[ { "administrationCode": "string", "name": "string", "zipCode": "string" }]
Get all available fax offer compatibleProductionPublic
Query parameters
The country
bechfrgbukResponse
The offer description
The offer name
Offer price per month
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ fax/ offers[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Get all available phone brands compatible with linesProductionPublic
Query parameters
The country
bechdeesfrgbukThe selected offer
Response
Brand name of the phone
The phone description
Setup fees
Maximum number of lines managed by a phone
Type of purchase
depositloanpurchaseTelephony price
Phone protocol
mgcpsipPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ line/ offer/ phones[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]
Get all available line offer compatibleProductionPublic
Query parameters
The country
bechfrgbukResponse
The offer description
The offer name
Offer price per month
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ line/ offers[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Get all available geographic zone with some details, from a countryProductionPublic
Query parameters
Enter a part of a city name or a zip for specific zne returns
The country
bechfrgbukResponse
The searched value
The city of the zone
The country of the zone
bechfrgbukThe number's range of this zone, in international format
The criteria that matched the searched value
cityinternationalNumbernumberzneThe number's range of this zone
The country code of the number's range
323334414449The type of number's range of this zone
geographicnon-geographicspecialThe zip code of the zone
The list of ZNE of this zone
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ number/ detailedZones[ { "askedCity": "string", "city": "string", "country": "be", "internationalNumber": "string", "matchingCriteria": "city", "number": "string", "prefix": 32, "type": "geographic", "zipCode": "string", "zneList": [ "string" ] }]
Get all available special range from a countryProductionPublic
Query parameters
The country
bechfrgbukResponse
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ number/ ranges[ "string"]
Get all available specific number from a countryProductionPublic
Query parameters
The country
bechfrgbukThe range (special number)
The type of number
geographicnogeographicspecialThe zone (geographic number)
Response
Set if number is premium
The number
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ number/ specificNumbers[ { "isPremium": true, "number": "string" }]
Get all available geographic zone from a countryProductionPublic
Query parameters
Enter a part of a city name or a zip for specific zne returns
The country
bechfrgbukResponse
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ number/ zones[ "string"]
Get a billing accountProduction
Get a billing account. Returns the billing account: description, status, credit threshold, security deposit and current out-of-plan amount.
Path parameters
The name of your billingAccount
Response
Allowed outplan
Name of the billing account
Allowed threshold credit
Current outplan
Description of the billing account
Check if the billing account contains at least one special number
Hide called numbers in end-of-month call details CSV
IAM resource metadata
Override number display for calls between services of your billing account
Security deposit amount
Current status of billing account
closeddeletedenabledexpiredIs the billing account trusted
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "billingAccount": "string", "creditThreshold": { "currencyCode": "AUD", "text": "string", "value": 0 }, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "hasSpecialNumbers": true, "hiddenExternalNumber": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "overrideDisplayedNumber": true, "securityDeposit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "closed", "trusted": true}
Terminate a billing accountProduction
Terminate a billing account. Requests the termination of the billing account, with a reason and optional details. The termination can be cancelled until it is executed.
Path parameters
The name of your billingAccount
Query parameters
Termination reason details
Termination reason
addresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficultiesResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount} \
-H "authorization: Bearer $OVH_TOKEN"Update a billing accountProduction
Update a billing account. Updates the billing account settings: description, credit threshold, and the displayed or hidden external number.
Path parameters
The name of your billingAccount
Request body (required)
Allowed outplan
Name of the billing account
Allowed threshold credit
Current outplan
Description of the billing account
Check if the billing account contains at least one special number
Hide called numbers in end-of-month call details CSV
Override number display for calls between services of your billing account
Security deposit amount
Current status of billing account
closeddeletedenabledexpiredIs the billing account trusted
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount} \
-H "authorization: Bearer $OVH_TOKEN"Generate a reseller panel passwordProduction
Generate a reseller panel password. Generates a new password for the reseller panel. Follow the update with the reseller panel status.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ resellerPanel/ generatePassword \
-H "authorization: Bearer $OVH_TOKEN"Get the reseller panel statusProduction
Get the reseller panel status. Returns whether the reseller panel of the customer is enabled, and the status of the last password update.
Response
Whether the reseller panel is enabled or not
Password update task status
doingdoneerrortodoReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ resellerPanel/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "passwordUpdateStatus": "doing"}
Search a serviceProduction
Search a service. Finds services whose number matches the search value, and returns for each one its billing account and service type.
Query parameters
Filter the value of property (like)
Response
The billing account of the service
The service domain
The offer description
aliaslinetrunkReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ searchServices \
-H "authorization: Bearer $OVH_TOKEN"[ { "billingAccount": "string", "domain": "string", "type": "alias" }]
Set the default SIP domainProduction
Set the default SIP domain. Sets the default SIP domain of the customer for a country and a product type. List the default SIP domains for the available domains.
Request body (required)
Country
bechdeesfrgbukSIP domain to set
Product type
siptrunkResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ setDefaultSipDomain \
-H "authorization: Bearer $OVH_TOKEN"Get the billing account siteProduction
Get the billing account site. Returns the site attached to the billing account. The site settings override the billing account settings.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ billingAccountSite \
-H "authorization: Bearer $OVH_TOKEN""string"
Set the billing account siteProduction
Set the billing account site. Attaches a site to the billing account. The site settings override the billing account settings.
Path parameters
The name of your billingAccount
Request body (required)
Billing account site (master billing account)
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ billingAccountSite \
-H "authorization: Bearer $OVH_TOKEN"Cancel the billing account terminationProduction
Cancel the billing account termination. Cancels the termination requested on the billing account, before it is executed.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ cancelTermination \
-H "authorization: Bearer $OVH_TOKEN"Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The name of your billingAccount
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get the event tokenProduction
Get the event token. Returns the token used to receive real-time call events. Create a new token when it is missing or expired.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Create an event token. Creates a token to receive real-time call events, valid 5 minutes, 1 hour, 1 day, 30 days or without limit. Returns the token.
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Delete the event token. Deletes the event token. It can no longer be used to receive real-time call events.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"List offer tasksProduction
List offer tasks. Returns the identifiers of the scheduled offer operations of the billing account, such as an offer change or a termination.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradeFilter the value of status property (=)
doingdoneerrorpausetodoFilter the value of type property (=)
lineofferoptionphoneResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ offerTask \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an offer taskProduction
Get an offer task. Returns the offer operation: type, action such as termination or upgrade, planned execution date and status.
Path parameters
The name of your billingAccount
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
Update an offer taskProduction
Update an offer task. Updates the scheduled offer operation. Only its planned execution date can be changed.
Path parameters
The name of your billingAccount
Request body (required)
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneResponse
Example uses billingAccount = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The name of your billingAccount
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The name of your billingAccount
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List tasksProduction
List tasks. Returns the identifiers of the operations in progress on the billing account. Get a task for its action, status and failure message.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
Filter the value of serviceType property (=)
Filter the value of status property (=)
doingdoneerrorpausetodoResponse
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Get a task. Returns the operation on the telephony service: action, status (todo, doing, done, error or pause), created object and failure message.
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List default SIP domainsProduction
Query parameters
Product type
siptrunkResponse
Country
bechdeesfrgbukCurrent SIP domain
List of available SIP domains
Type of the VoIP product concerned
siptrunkReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ availableDefaultSipDomains \
-H "authorization: Bearer $OVH_TOKEN"[ { "country": "be", "currentDomain": "string", "list": [ "string" ], "productType": "sip" }]